<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use App\TransferProperty;
use App\Customer;
use App\CustomerProperty;
use App\CustomerStatement;
use App\Country;
use App\DepositorBank;
use App\CompanyBank;
use App\CompanyBankTransaction;
use App\Receipt;
use App\TransferPropertyHistory;
use Illuminate\Support\Facades\Auth;
use App\MultiProject;
use App\NOC;
use App\TransferPropertyDocuments;
use App\TransferPropertyTypeDocument;
use DB;

class TransferPropertyController extends Controller
{
    protected $transfer;

    public function __construct() {
        $this->transfer = new TransferProperty();
    }
    
    public function getAllTransfers() {
        $project_ids=   $this->getCookieInfomation();
        if($project_ids['status'] == 'error'){
            return redirect()

            ->back()
            ->with([
                'message' => 'Invalid Inputs!',
                'alert-type' => 'error',
            ]);
        }
        $ids=[];
        if(is_array($project_ids['multi_projects'])){
            $ids= $project_ids['multi_projects']; 
        }
        else
        $ids[]= $project_ids['multi_projects'];

        $allTransfers = TransferProperty::
        whereHas('property', function($query) use($ids){
            $query->whereIn('multi_project_id', $ids);
                 
        })->
        orderBy('transfer_date','desc')->get();

                activity('View')->log('View Transfer List');

        return view('statement/transfer.index',compact('allTransfers'));
    }

    public function addTransferForm() {

        $data['customers'] = Customer::orderBy('name','asc')->get();
        // $data['properties'] = CustomerProperty::where('status','!=',CustomerProperty::cancel)->with('inventory')->get();
        $project_ids=   $this->getCookieInfomation();
        if($project_ids['status'] == 'error'){
            return redirect()

            ->back()
            ->with([
                'message' => 'Invalid Inputs!',
                'alert-type' => 'error',
            ]);
        }
       
        $ids=[];
        if(is_array($project_ids['multi_projects'])){
            $ids= $project_ids['multi_projects']; 
        }
        else
        $ids[]= $project_ids['multi_projects'];

        // $data['properties'] =     CustomerProperty::where
        // ('status', '!=', CustomerProperty::cancel)
        // ->has('inventory')
        // ->whereHas('inventory',function ($query) use ($ids) {
        //     $query->whereIn('multi_project_id', $ids)->whereHas('noc', function ($query) use ($ids) {
        //         $query->where('status', 1)->whereDate('noc_valid_date', '>=', date('Y-m-d'))
              
        //         ;
                
        //     });
        // })
         
        // ->get();
        $data['properties'] =    NOC::where('status', 1)->whereDate('noc_valid_date', '>=', date('Y-m-d'))
        ->whereHas('unitNumber',function ($query) use ($ids){
            $query->whereIn('multi_project_id', $ids)
            ->whereHas('customer_property', function ($query) use ($ids) {
                $query->where ('status', '!=', CustomerProperty::cancel) 
              
                ;
                
            });

            

        })
        ->with('unitNumber')
        
        ->get();


        
       
        $data['banks'] = DepositorBank::all();
        $data['cBanks'] = CompanyBank::all();
        $result = Receipt::where([['receipt_no', '!=', null]])->orderby('receipt_no', 'desc')
            ->first();
        if($result)
        {
            $data['receipt_no'] = ++$result->receipt_no;
        }
        else{
            $data['receipt_no'] = '50000';
        }
                activity('Add')->log('Add New Transfer');


        return view('statement/transfer.add-transfer',$data);
    }

    public function insertTransfer(Request $request) {

        $messages = [
            'name.required_if' => 'The Name field is required.',
            'cnic.required_if' => 'The Cnic field is required.',
            'father_name.required_if' => 'The S/O field is required.',
            'mobile_number.required_if' => 'The phone number field is required.',
            'nominee_name.required_if' => 'The Nominee name field is required.',
            'nominee_so_do_wo.required_if' => 'The Nominee S/O D/O W/O field is required.',
            'nominee_cnic.required_if' => 'The Nominee Cnic field is required.',
            'nominee_relation.required_if' => 'The Nominee Relation field is required.',
            'permanent_address.required_if' => 'The permanent address field is required.',
            'mailing_address.required_if' => 'The mailing address field is required.',
            'dob.required_if' => 'The dob field is required.',
            ];

        $validator = Validator::make($request->all(), [
                    'property_id' => 'required',
                    
                    // 'old_client_id' => 'required',
                    'transfer_charges' => 'required',
                    'transfer_date' => 'required',
                    //'transfer_note' =>'required',
                    // 'payment_mode' => 'required',
                    // 'payment_head' => 'required',
                    // 'receipt_date' => 'required',
                    'cheque_number'=>'nullable|regex:/^[a-zA-Z\s0-9]+$/u',
                   // 'receipt_no' => 'required',
                    // 'receipt_no' => 'nullable|unique:receipts,receipt_no',
                    'name' => 'nullable|required_if:customer_id,|regex:/^[a-zA-Z\s,.-]+$/u',
                    'father_name' => 'nullable|required_if:customer_id,|regex:/^[a-zA-Z\s,-.]+$/u',
                    'cnic' => 'unique:customers,cnic|nullable|required_if:customer_id,',
                    'permanent_address' => 'nullable|required_if:customer_id,|',
                    'mailing_address' => 'nullable|required_if:customer_id,|',
                    'dob' => 'nullable|required_if:customer_id,|',
                    'mobile_number' => 'nullable|required_if:customer_id,|',
                    'nominee_name' => 'nullable|required_if:customer_id,',
                    'nominee_so_do_wo' => 'nullable|required_if:customer_id,|regex:/^[a-zA-Z\s,-.]+$/u',
                    'nominee_relation' => 'nullable|required_if:customer_id,|regex:/^[a-zA-Z\s,-.]+$/u',
        ],$messages);

        if ($validator->fails()) {
            return redirect('/transfer/add')
                            ->withErrors($validator)
                            ->withInput()
                            ->with([
                                'message' => 'Invalid Inputs!',
                                'alert-type' => 'error',
            ]);
        }
 
   
 
        $result = $this->transfer->insertNewTransfer($request);
       

        if(!$result) {
             return redirect('/transfer/add')
                             ->withInput()
                             ->with([
                                 'message' => 'Something went wrong!',
                                 'alert-type' => 'error',
             ]);
         }

         activity('Transfer')->log($result->inventory->polot_number .' transfer to '. $result->customer->name);

       return redirect()
                        ->route('transfer.all')
                        ->with([
                            'message' => 'Statement created successfully!',
                            'alert-type' => 'info'
        ]);
    }

    public function transferDocument($id)
    {

     $transfer_property=  TransferProperty::where('id',$id)->first();
   $transfer_document=  TransferPropertyTypeDocument::where('transfer_property_type_id', $transfer_property->transfer_type)->get();
                activity('View')->log('View Transfer Documents');
   
   return view('statement/transfer.transfer-document',compact('transfer_property','transfer_document'));
    }
    public function storeTransferDocumentFile(Request $request){


     
    
        foreach ($request->document_id as $key => $doc) {
            if ($request->hasfile('file') && isset($request->file('file')[$key])) {
                $file = $request->file('file')[$key];
                $name = $request->id . '-' . $doc . '-' . $file->getClientOriginalName();
        
                $file->move(public_path() . '/documents/', $name);
        
                $transfer_property = new TransferPropertyDocuments;
                $transfer_property->transfer_property_id = $request->id;
                $transfer_property->transfer_property_type_document_id = $doc;
                $transfer_property->document_path = $name;
                $transfer_property->save();
            }
        }
        $transfer_property=  TransferProperty::where('id', $request->id )->first();
        
        $transfer_document=  TransferPropertyTypeDocument::where('transfer_property_type_id', $transfer_property->transfer_type)->count();
     
         
        if($transfer_property->transferDocument()->count() == $transfer_document){
            $transfer_property->check_list_status = 1;
            $transfer_property->save();
        }

        return redirect()
        ->back()
        ->with([
            'message' => 'Data added successfully!',
            'alert-type' => 'info'
]);
        // dd($request->all());
    }
    public function detailTransfer($id) {

        $transfer = TransferProperty::where('id',$id)->first();

        
        $allTransfers = TransferProperty::where('property_id',$transfer->property_id)->get();

       
        $duration = array();
        $fromDate = null;
        $toDate = null;
        foreach ($allTransfers as $t) {
            if($fromDate == null) {
                $fromDate = $t->property->booking_date;
                $toDate = $t->transfer_date;
            }
            else {
                $fromDate = $toDate;
                $toDate = $t->transfer_date;
            }

            $duration[$t->id] = date('d-m-Y',strtotime($fromDate)) . '  :  ' . date('d-m-Y',strtotime($toDate));

        }

                activity('View')->log('View Transfer Details');


        return view('statement/transfer.detail-transfer',compact('transfer','allTransfers','duration'));
    }

     public function updateInfo(Request $request) {
         

     $noc=   NOC::where('id',$request->id)->first();
     
        $property['info'] = CustomerProperty::with('inventory')->where('id',$noc->unitNumber->customer_property->id)->with('customer','size')->first();

        $property['received'] = CustomerStatement::where('customer_property_id',$noc->unitNumber->customer_property->id)->sum('received');
        // $property['due'] = CustomerStatement::where('customer_property_id',$noc->unitNumber->customer_property->id)->where('due_date','<=',\Carbon\Carbon::now()->endOfMonth())->value(\DB::raw("SUM(balance)"));
        $property['due'] = CustomerStatement::where('customer_property_id',$noc->unitNumber->customer_property->id)->where('due_date','<=',date('Y-m-d'))->value(\DB::raw("SUM(balance)"));
        $property['transfer_type'] = $noc->transfer_type;
        return $property;
    }
    public  function getCookieInfomation(){
        try{
        $data = array();
        $project_id = request()->cookie('current_project_id');
        $user = Auth::user();
        if (!empty($project_id)) {
            $p_id = decrypt($project_id);
            $multi = MultiProject::where('id', $p_id)->first();
            $multiProjectId = $multi->id;
            if ($multi->name == "Super Admin") {
                $roles = $user
                    ->roles()
                    ->where('name', 'like', 'admin')
                    ->whereHas('projects', function ($query) use ($multiProjectId) {
                        $query->where('multi_project_id', $multiProjectId);
                    })
                    ->first();
                if (!empty($roles)) {
                    $data['multi_projects']  = MultiProject::where('name', 'NOT like', 'Super Admin')->get()->pluck('id')->toArray() // Flatten the collection of IDs into a single array
                    ;
                    $data['status'] = 'success';
                    return   $data;
                           
                } else {
                    $request = app(Request::class);
               
                    $permission=decrypt($request->permission);
                    
                    $project_ids=       $user->roles()
                   ->whereHas('projects', function ($query)   {
                   $query->where('name', 'NOT like', 'Super Admin');
                   })
                   ->get()
                   ->filter(function ($r) use ($permission) {
                   return $r->hasPermission($permission);
                   })
                   ->pluck('projects.*.id') // Pluck the 'id' column from the remaining 'projects' models
                   ->flatten() // Flatten the collection of IDs into a single array
                   ->unique()
                   ->toArray()
                   ;
                   
                   if(sizeof($project_ids) == 0)
                   {
                       $data['status'] = 'error';
                       return  $data; 
                   }
    
                     
                    $data['multi_projects'] = MultiProject::whereIn('id',  $project_ids)->where('name', 'NOT like', 'Super Admin')->get()->pluck('id')
                    ->toArray();
                    $data['status'] = 'success';
                    return   $data;
                           
                     
                }
            }
            else{
                $roles = $user
                    ->roles()
                    
                    ->whereHas('projects', function ($query) use ($multiProjectId) {
                        $query->where('multi_project_id', $multiProjectId);
                    })
                    ->first(); 
    
                    if (!empty($roles)) {
                        $data['multi_projects']  = $multi->id;
                        
                        $data['status'] = 'success';
                        return   $data;
                               
                        
    
                    }
            }
        }
        else
        {
            $data['status'] = 'error';
            return  $data; 
        }
    }
        catch(\Exception $e){
            $data['status'] = 'error';
            return  $data;
        
        }
    }
    public function allReceiptList(){
        $data = array();
        $project_ids=   $this->getCookieInfomation();
        if($project_ids['status'] == 'error'){
            return redirect()

            ->back()
            ->with([
                'message' => 'Invalid Inputs!',
                'alert-type' => 'error',
            ]);
        }
        $ids=[];
        if(is_array($project_ids['multi_projects'])){
            $ids= $project_ids['multi_projects']; 
        }
        else
        $ids[]= $project_ids['multi_projects'];

        $data['receipts'] = Receipt::with('property')
        ->when($ids[0] !== 'all', function ($query) use ($ids) {
            $query->whereIn('multi_project_id', $ids);
        })
        ->where([['is_approved', false], ['is_deleted', false]])
        ->where('cheaque_status', Receipt::pending)
        ->where('payment_head','=', Receipt::transfer_fee)
        
        
        ->orderBy('receipt_date', 'asc')->get();

        $data['totalAmount'] = Receipt::where([['is_approved', false], ['is_deleted', false]
        , ['cheaque_status', Receipt::pending]])
        ->where('payment_head','=', Receipt::transfer_fee)
        ->when($ids[0] !== 'all', function ($query) use ($ids) {
            $query->whereIn('multi_project_id', $ids);
        })

        ->count();

        activity('View')->log('Pending Receipt List');


        return view('statement/transfer.transfer-receipt-list',$data);
    }
    public function addReceipt(){
        $data['transfer_property'] = TransferProperty::where('status',1)->where('receipt_generated',0)->where('check_list_status',1)->get();

        $data['banks'] = DepositorBank::all();
        $data['cBanks'] = CompanyBank::all();
        $result = Receipt::where([['receipt_no', '!=', null]])->orderby('receipt_no', 'desc')
            ->first();
        if($result)
        {
            $data['receipt_no'] = ++$result->receipt_no;
        }
        else{
            $data['receipt_no'] = '50000';
        }

                activity('Add')->log('Add Transfer Receipt');


        return view('statement/transfer.transfer-receipt-add',$data);
    }
    public function storeReceipt(Request $request){

       $transfer_property= TransferProperty::where('id',$request->transfer_unit)->first();
    //    $transfer_property->receipt_generated =1;
    //    $transfer_property->save();
        $customer_property_id=  $transfer_property->property_id;
        $owner = CustomerProperty::where('id', $customer_property_id)->first();
        $customer = Customer::where('id', $transfer_property->transfer_customer_id)->first();
//   dd( $owner, $customer);
          $receipt = Receipt::create(['transfer_property_id'=>$transfer_property->id,'is_approved'=>0,'customer_id' => $customer->id, 'customer_property_id' => $owner->id, 'payment_head' => Receipt::transfer_fee, 'payment_mode' => $request->payment_mode,'payment_method'=>$request->payment_mode, 'bank_name' => $request->bank_name, 'cheque_number' => $request->cheque_number, 'cheque_title' => $request->cheque_title, 'amount' => $request->amount, 'receipt_no' => $request->receipt_no, 'receipt_date' => $request->receipt_date, 'company_account' => $request->company_account, 'adjustment_type' => $request->adjustment_type, 'adjustment_detail' => $request->adjustment_detail, 'inventory_id' => $owner->inventory_id,'multi_project_id'=>$owner->inventory->multi_project_id]);

            if ($request->payment_mode != Receipt::cash && $request->payment_mode != Receipt::adjustment) {
                $cBank = CompanyBank::where('id', $request->company_account)->first();
                if ($cBank) {
                    CompanyBank::where('id', $request->company_account)->update(['amount' => $cBank->amount + $request->amount]);
                    //make transation
                    CompanyBankTransaction::create(['receipt_id' => $receipt->id, 'company_account' => $request->company_account]);
                }
            }
            
            return redirect()->back()->with([
                'message' => 'Receipt Added Successfully!',
                'alert-type' => 'success',
            ]);
             
            
    }

    public function approveReceipt(Request $request){

        
        DB::beginTransaction();

        try {
         
        $current_receipt = Receipt::find($request->id);

        $isLessDateReceipt = Receipt::where('receipt_date', '<', $current_receipt->receipt_date)
        ->where('customer_property_id', $current_receipt->customer_property_id)
        ->where('is_approved', false)->where('is_deleted', false)
        ->where('payment_head','=', Receipt::transfer_fee)
        ->first();

 
       
        if (!empty($isLessDateReceipt)) {
            return redirect()
            ->back()
                ->withInput()
                ->with([
                    'message' => 'Error ! First approve lower date receipt.',
                    'alert-type' => 'error',
                ]);
        }


 
         $receipt = Receipt::where('id', $request->id)->first();
         if (!$receipt->is_approved) {

            Receipt::where('id', $request->id)->update(['is_approved' => true]);
         }
         $transfer_property= TransferProperty::where('id',$receipt->transfer_property_id)->first();
            $transfer_property->receipt_generated =1;
            $transfer_property->status =2;
            $transfer_property->save();
            $customer = Customer::where('id', $receipt->customer_id)->first();
            Customer::where('id', $receipt->customer_id)->update(['total_paid_amount' => $customer->total_paid_amount + $receipt->amount]);
            //    dd(     $customer);
            $transferhistory= new TransferPropertyHistory();
            $result=  $transferhistory->makeTransferHistory( $transfer_property->property_id, $transfer_property->id);
         
        //   if($result == false){
        // throw exception
        // throw new Exception("Something Went wrong");
        //   }

            CustomerProperty::where('id', $transfer_property->property_id)->update(['customer_id' => $customer->id, 'membership_no' => '', 'status' => CustomerProperty::pending]);
            CustomerStatement::where('customer_property_id', $transfer_property->property_id)->update(['customer_id' => $customer->id]);
      

        }
     catch (\Exception $e) {
        DB::rollback(); 
        return redirect()->back()->with([
        'message' => 'SomeThing went wrong!',
        'alert-type' => 'error',
    ]);
    }
    DB::commit();

            return redirect()->back()->with([
                'message' => 'Receipt Approved Successfully!',
                'alert-type' => 'success',
            ]);
         
              
             
     }
     public function getTransferInformtion(Request $request){

       $transferProperty= TransferProperty::where('id',$request->transfer_unit)->select('transfer_charges')->first();
       return  $transferProperty;
    }

    public function getGiftDeclaration($id)
    {
        $data = array();
        $data['transfer_property']= TransferProperty::where('id',$id)->first();

                activity('View')->log('View Gift Transfer');


        return view('statement/transfer.gift', $data);
    }

 
    public function getNormalTransfer($id)
    {
        $data = array();
        $data['transfer_property']= TransferProperty::where('id',$id)->first();

                activity('View')->log('View Normal Transfer');

        return view('statement/transfer.normal-transfer', $data);
    }

    
    public function getDeathTransfer($id)
 
    {
        $data = array();
        $data['transfer_property']= TransferProperty::where('id',$id)->first();

                activity('View')->log('View Death Transfer ');


        return view('statement/transfer.deed-death', $data);
    }

    public function getUndertakingDeathTransfer($id)
    {

        // $data = array();
        // $data['transferinfo'] = CustomerProperty::with('customer', 'inventory')->first();

        // $data['transfer'] = CustomerProperty::with(['transferProperties' => function ($query) {
        // $query->latest('id')->take(1);
        // }])->first();

        // $data['transfer_property']=   TransferProperty::where('id',$id)->first();

        $data = array();
        $data['transfer_property']=     TransferProperty::where('id',$id)->first();


        return view('statement/transfer.undertaking-death', $data);
    }

    public function getFamilyTransfer($id)
    {
        $data = array();
        $data['transfer_property']= TransferProperty::where('id',$id)->first();

        return view('statement/transfer.affidavit-family', $data);
    }

    public function getUndertakingFamilyTransfer($id)
    {
        $data = array();
        $data['transfer_property']= TransferProperty::where('id',$id)->first();

        return view('statement/transfer.undertaking-family', $data);
    }

    public function getAgreementNormalTransfer($id)
    {
        $data = array();
        $data['transfer_property']= TransferProperty::where('id',$id)->first();

        return view('statement/transfer.agreement-normal', $data);
    }

    public function getUndertakingNormalTransfer($id)
    {
        $data = array();
        $data['transfer_property']= TransferProperty::where('id',$id)->first();

        return view('statement/transfer.undertaking-normal', $data);
    }

    public function getAffidavitNormalTransfer($id)
    {
        $data = array();
        $data['transfer_property']= TransferProperty::where('id',$id)->first();

        

        return view('statement/transfer.affidavit-normal', $data);
    }

    public function approveTransfer($id){
        $transferProperty= TransferProperty::where('id',$id)->first();
        
        if(!empty( $transferProperty)){
            if( $transferProperty->check_list_status != 1){
                return redirect()->back()->with([
                    'message' => 'Document Check List is not completed!',
                    'alert-type' => 'error',
                ]);
            }
            else{

                activity('Approve')->log('Approve Transfer ');

                return view('statement/transfer.approve-transfer',compact('transferProperty'));
            }
           

        }
        return redirect()->back()->with([
            'message' => 'SomeThing Went Wrong!',
            'alert-type' => 'error',
        ]);
         
    }
    public function storeApproveTransfer(Request $request){
       
        $transferProperty= TransferProperty::where('id',$request->id)->first();
        $transferProperty->status=$request->status;
        $transferProperty->save();
        return redirect()->route('transfer.all')->with([
            'message' => 'Status Updated Successfully!',
            'alert-type' => 'success',
        ]);

        
    } 

}
