<?php

namespace App\Imports;

use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use App\GeneralJournalEntry;
use App\Voucher;
 
use DB;
use Auth;
use Carbon\Carbon;


class GeneralVoucherImport implements ToModel, WithHeadingRow

{
    /**
     * @param Collection $collection
     */
    protected $project_id;
    protected $previous_trans_id;
    protected $last_entry_no;
    protected  $voucherNo;
    function __construct($project_id)
    {

        $this->project_id = $project_id;
        $this->previous_trans_id = 0;
    }
    public function model(array $row)
    {
        //

       
        $excelDateSerial = $row['date'];
        $date = Carbon::createFromTimestamp(($excelDateSerial - 25569) * 86400)->format('Y-m-d');
      
       
       

        $account =   $row['chart_of_account_number'];

        $debit = $row['debit'];
        $credit = $row['credit'];
       $memo= $row['memo'];

       
   
        if (!empty($row['trans_no'])   && !empty($row['date'])  && !empty($row['chart_of_account_number']) ) {
        
            $month = date('m', strtotime($date));
            $year = date('Y', strtotime($date));
            $voucherNo = GeneralJournalEntry::where([['voucher_type', GeneralJournalEntry::JV]])
                ->groupBy('entry_no')->get();



            




            if ($row['trans_no'] != $this->previous_trans_id) {
                $this->previous_trans_id = $row['trans_no'];
                if (count($voucherNo) > 0) {
                    $voucherNo = json_decode($voucherNo);
                    $voucher_no = array();
                    foreach ($voucherNo as $key => $row) {
                        if ((date('m', strtotime($row->date)) == $month) &&  (date('Y', strtotime($row->date)) == $year)) {

                            $voucher_no[$key] = $row->voucher_no;
                        }
                    }


                    if (count($voucher_no) > 0) {
                        $voucher_nobrs = array_intersect($voucher_no, array_column($voucherNo, 'voucher_no'));
                        $voucher_nobrs = array_values($voucher_nobrs);

                        usort($voucher_nobrs, function ($item1, $item2) {
                            $item1 = explode('-', $item1);
                            $item2 = explode('-', $item2);

                            if ($item1[0] == $item2[0]) return 0;
                            return $item1[0] < $item2[0] ? 1 : -1;
                        });

                        $break_voucher_no = explode('-', $voucher_nobrs[0]);

                        $voucherNo = $break_voucher_no[0] + 1;
                    } else {
                        $voucherNo =  1;
                    }
                } else {
                    $voucherNo =  1;
                }
                if ($voucherNo < 10) {
                    $voucherNo = '0' . $voucherNo;
                }

                $voucherNo = $voucherNo . '-' . $month . $year;

                $this->voucherNo =  $voucherNo;

                $last_entry = GeneralJournalEntry::orderBy('entry_no', 'DESC')->first();
                if ($last_entry)
                    $latest_entry_no = ++$last_entry->entry_no;
                else
                    $latest_entry_no = 1;

                Voucher::create(['entry_no' => $latest_entry_no]);
                $this->last_entry_no = $latest_entry_no;
            } else {
                $this->previous_trans_id = $row['trans_no'];
              
            }


            if (!empty($account)) {

                $account = str_replace(' ', '', $account);

                $results = DB::table('chart_of_accounts')
                    ->whereRaw("CONCAT(REPLACE(number, ' ', ''), '-', REPLACE(name, ' ', ''))  Like ?", ["%" . strtolower($account) . "%"])
                    ->first();
                $amount = 0;



                if (!empty($results)) {
                    if (empty($debit)) {
                        if (!empty($credit)) {
                            $amount =   $credit * -1;
                            $gId = GeneralJournalEntry::create(['date' => $date, 'entry_no' =>  $this->last_entry_no, 'account_id' => $results->id, 'amount' => $amount,  'voucher_type' => GeneralJournalEntry::JV,  'prepare_by' => Auth::user()->id, 'voucher_no' => $this->voucherNo, 'multi_project_id' => $this->project_id,'memo'=>$memo]);
                        }
                    } else {
                        $amount = $debit;
                        $gId = GeneralJournalEntry::create(['date' => $date, 'entry_no' =>  $this->last_entry_no, 'account_id' => $results->id,  'amount' => $amount,  'voucher_type' => GeneralJournalEntry::JV,  'prepare_by' => Auth::user()->id, 'voucher_no' => $this->voucherNo, 'multi_project_id' => $this->project_id,'memo'=>$memo]);
                    }
                }
            }
        }
    }
}
