@extends('layouts.app')

@section('title')
    Add Trial Balance
@stop

@section('breadcrumb')
    <ol class="breadcrumb pull-right">
        <li><a href="{{ route('home') }}"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="{{ route('importdata.chartofaccount') }}">Import Legacy Data </a></li>
        <li class="active">Add Trial Balance</li>
    </ol>
@stop
@section('content')

    <div class="container-fluid">
        <!--.row-->
        <div class="row">

            <div class="col-md-12">
                <div class="white-box">
                    <h3 class="box-title m-b-0">Add New Trial Balance Data File</h3>

                    <a href="{{ route('importdata.trialbalance-formate') }}" class="btn  btn-primary">
                        <i class="fa fa-download"></i>&nbsp; Download Trial Balance  File Format
                    </a>


                    <hr>
                    <form class="form-horizontal" action="{{ route('importdata.trialbalanc.submit') }}" method="post"
                        enctype="multipart/form-data">
                        {{ csrf_field() }}
                        @can('isSuperAdmin')
                        <div class="form-group">
                            <label for="excelmapfile" class="col-sm-2 control-label">Select Project<span
                                    style="color: red">*</span></label>
                            <div class="col-sm-10">
                                <div class="input-group" style="width:340px">

                                    <select id="multipro" class="form-control chosen-select" name="multipro_id">
                                        <option value=""><b>None</b></option>
                                        @foreach ($multi_projects as $pro)
                                        @php
                                       $p_id= encrypt($pro->id); 
                                        @endphp
                                            @if (old('multipro_id') == $p_id)
                                                <option selected="" value="{{  $p_id }}">{{ $pro->name }}
                                                </option>
                                            @else
                                                <option value="{{  $p_id}}">{{ $pro->name }} </option>
                                            @endif
                                        @endforeach
                        
                                    </select>
                                    @if ($errors->has('multipro_id'))
                                        <span class="help-block">
                                            <strong>{{ $errors->first('multipro_id') }}</strong>
                                        </span>
                                    @endif
                                </div>
                            </div>
                        </div>
                      
                        @endcan
                        <div class="form-group">
                            <label for="excelmapfile" class="col-sm-2 control-label">Date<span
                                    style="color: red">*</span></label>
                            <div class="col-sm-10">
                                <div class="input-group" style="width:340px">

                                    <input type="date" class="form-control" name="date" required>
                                    @if ($errors->has('date'))
                                        <span class="help-block">
                                            <strong>{{ $errors->first('date') }}</strong>
                                        </span>
                                    @endif
                                </div>
                            </div>
                        </div>
                       
                        <div class="form-group">
                            <label for="excelmapfile" class="col-sm-2 control-label">Trial Balance File<span
                                    style="color: red">*</span></label>
                            <div class="col-sm-10">
                                <div class="input-group" style="width:340px">

                                    <input type="file" class="form-control" name="file_type" required>
                                    @if ($errors->has('file_type'))
                                        <span class="help-block">
                                            <strong>{{ $errors->first('file_type') }}</strong>
                                        </span>
                                    @endif
                                </div>
                            </div>
                        </div>
                      



                        <div class="form-group m-b-0">
                            <div class="col-sm-offset-3 col-sm-9">
                                <button type="submit" class="btn btn-info waves-effect waves-light m-t-10"
                                    style="width: 100px;">Import</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!--./row-->
    </div>
    <!-- /.container-fluid -->

@stop
