@extends('layouts.app')
@section('title')
    Sale Dashboard
@stop
@section('breadcrumb')
    <ol class="breadcrumb pull-right no-print">
        <li><a href="{{ route('home') }}"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Sale's Dashboard</li>
    </ol>
@stop
@section('css')
    <style type="text/css">
        .table-bordered,
        .table>tbody>tr>td,
        .table>tbody>tr>th,
        .table>tfoot>tr>td,
        .table>tfoot>tr>th,
        .table>thead>tr>td,
        .table>thead>tr>th {
            border: 1px solid #000000;
        }

        .graphbox {
            position: relative;
            width: 100%;
            display: grid;
            grid-template-columns: 1fr 1fr 1fr;
            grid-gap: 30px;
            margin-bottom: 13px;
        }

        .graphbox .box {
            position: relative;
            background: #fff;
            padding: 10px;
            width: 100%;
            box-shadow: 0 7px 25px rgba(0, 0, 0, 0.08);
            border-radius: 5px;
        }
        #myChart{
           margin-left: 45px;
           margin-right: 35px;
           margin-top: 10px;
           padding: 10px;
        }
        #ThirdChart{
           margin-left: 45px;
           margin-right: 35px;
           margin-top: 10px;
           padding: 10px;
        }
        .chart-label{
            position: absolute;
            /* font-size: 15px; */
            font-weight: 600;
        }
       
        /* Responsivness */
        @media (max-width: 991px) {
            .graphbox {
                grid-template-columns: 1fr;
                height: auto;
            }
        }
    </style>
@stop
@section('content')


    <!-- ===== Page-Container ===== -->
    <div class="container-fluid">
        @can('isSuperAdmin')
            @include('partial.multiproject_select')
        @endcan
        <div id='updatecontent'>
            <input type='hidden' id='total_units_count' value='{{ $total_units_count }}'>
            <input type='hidden' id='booked_units_count' value='{{ $booked_units_count }}'>
            <input type='hidden' id='un_booked_units_count' value='{{ $un_booked_units_count }}'>


            <input type='hidden' id='total_units_area' value='{{ $total_units_area }}'>
            <input type='hidden' id='booked_units_area' value='{{ $booked_units_area }}'>
            <input type='hidden' id='un_booked_units_area' value='{{ $un_booked_units_area }}'>
            <input type='hidden' id='total_units_area_2' value='{{ $total_units_area_2 }}'>
            <input type='hidden' id='booked_units_area_2' value='{{ $booked_units_area_2 }}'>
            <input type='hidden' id='un_booked_units_area_2' value='{{ $un_booked_units_area_2 }}'>
            <input type='hidden' id='multiprojectype_val' value='{{ $multiproject_type }}'>





            <input type='hidden' id='total_units_amount' value='{{ $total_units_amount }}'>
            <input type='hidden' id='booked_units_amount' value='{{ $booked_units_amount }}'>
            <input type='hidden' id='un_booked_units_amount' value='{{ $un_booked_units_amount }}'>


            <input type='hidden' id='discount_val' value='{{ $booked_units_amount - $total_cost_booked_units }}'>



            <div class="graphbox" style="margin-top:30px;">
 
                <div class="box" style="height: 280px; ">
                    <div class="chart-label">Total Units: <span id="total-units"></span></div>
                    <canvas id="myChart" style='margin-top:10px;'></canvas>
                </div>
                <div class="box" style="height: 280px; ">
                    <canvas id="SecondChart" style='margin-top:10px;'></canvas>
                </div>
                <div class="box" style="height: 280px; ">
                    <div class="chart-label">Total Amount: <span id="total-amount"></span></div>
                    <canvas id="ThirdChart" style='margin-top:10px;'></canvas>

                </div>
            </div>
          

            {{-- <div class="row colorbox-group-widget" style="margin-top: 25px;">
                    <div class="col-md-4 col-sm-6 info-color-box">
                        <div class="white-box">
                            <div class="media bg-primary">
                                <div class="media-body">
                                    <h3 class="info-count">{{number_format($total_units_count)}}<span class="pull-right"><i class="mdi mdi-checkbox-marked-circle-outline"></i></span></h3>
                                    <p class="info-text font-12">Total Units</p>
                                    <p class="info-ot font-15"><span class="label " style="color:#58508d!important; background: #58508d!important">.</span></p>
                                    <p class="info-ot font-15">Booked Units<span class="label label-rounded">{{number_format($booked_units_count)}}</span></p>
                                    <p class="info-ot font-15">Un-Booked Units<span class="label label-rounded">{{number_format($un_booked_units_count)}}</span></p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-6 info-color-box">
                        <div class="white-box">
                            <div class="media bg-success">
                                <div class="media-body">
                                    <h3 class="info-count">{{number_format($total_units_area)}} {{$size}}<span class="pull-right"><i class="mdi mdi-comment-text-outline"></i></span></h3>
                                    <p class="info-text font-12">Total Area</p>
                                    <p class="info-ot font-15"><span class="label " style="color:#bc5090!important; background: #bc5090!important">.</span></p>
                                    <p class="info-ot font-15">Booked Area<span class="label label-rounded">{{number_format($booked_units_area)}} {{$size}}</span></p>
                                    <p class="info-ot font-15">Un-Booked Area<span class="label label-rounded">{{number_format($un_booked_units_area)}} {{$size}}</span></p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-6 info-color-box">
                        <div class="white-box">
                            <div class="media bg-danger">
                                <div class="media-body">
                                    <h3 class="info-count">Rs. {{number_format($total_units_amount)}} <span class="pull-right"><i class="mdi mdi-coin"></i></span></h3>
                                    <p class="info-text font-12">Total Price</p>
                                    <p class="info-ot font-15">Booked Price<span class="label label-rounded">Rs. {{number_format($booked_units_amount - ($booked_units_amount - $total_cost_booked_units ))}} </span></p>
                                    <p class="info-ot font-15">Un-Booked Price<span class="label label-rounded">Rs. {{number_format($un_booked_units_amount)}} </span></p>
                                    <p class="info-ot font-15">Discount<span class="label label-rounded">Rs. {{number_format($booked_units_amount - $total_cost_booked_units )}} </span></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div> --}}

            <div class="row">
                <div class="col-lg-12">
                    <div class="white-box">
                        <h3 class="box-title m-b-0"> RECOVERIES & RECEIVABLES </h3>
                        <br>
                        <div class="table-responsive">
                            <table class="table" style="border-top:1px solid">
                                <thead>
                                    <tr>
                                        <th class="text-center"><strong>Description</strong></th>
                                        <th class="text-center"><strong>Rupees</strong></th>
                                        <th class="text-center"><strong>%age</strong></th>
                                        <th class="text-center"><strong>Receivable Ag.</strong></th>
                                        <th class="text-center"><strong>Rupees</strong></th>
                                        <th class="text-center"><strong>%age</strong></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $total = $total_cost_booked_units - $total_collection; ?>
                                    <tr>
                                        <td>Total Cost of Booked Units</td>
                                        <td class="text-right">{{ number_format($total_cost_booked_units) }}</td>
                                        <td class="text-right">100 %</td>
                                        <td>Overdues</td>
                                        <td class="text-right">{{ number_format($overdues) }}</td>
                                        <td class="text-right">{{ $total > 0 ? round(($overdues / $total) * 100) : 0 }}
                                            %</td>
                                    </tr>
                                    <tr>
                                        <td>Total Collection/Recovery </td>
                                        <td class="text-right">{{ number_format($total_collection) }}</td>
                                        <td class="text-right">
                                            {{ $total_cost_booked_units > 0 ? round(($total_collection / $total_cost_booked_units) * 100) : 0 }}
                                            %</td>
                                        <td>Future Installments</td>
                                        <td class="text-right">{{ number_format($total - $overdues) }}</td>
                                        <td class="text-right">
                                            {{ $total > 0 ? round((($total - $overdues) / $total) * 100) : 0 }} %
                                        </td>


                                    </tr>
                                    <tr>
                                        <td><strong>Balance Receivable</strong></td>
                                        <td class="text-right"><strong>{{ number_format($total) }}</strong></td>
                                        <td class="text-right">
                                            <strong>{{ $total > 0 ? round(($total / $total_cost_booked_units) * 100) : 0 }}
                                                %</strong></td>
                                        <td><strong>Balance Receivable</strong></td>
                                        <td class="text-right"><strong>{{ number_format($total) }}</strong></td>
                                        <td class="text-right"><strong> %</strong></td>
                                    </tr>
                                </tbody>

                            </table>
                        </div>

                    </div>
                </div>
            </div>


            <!-- .row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="white-box">
                        <h3 class="box-title m-b-0">BREAKUP OF RECEIVABLES AGAINST DEFAULTERS AGED</h3><br>
                        <div class="table-responsive">
                            <table class="table" style="border-top: 1px solid">
                                <thead>
                                    <tr>
                                        <th class="text-center" rowspan="2"><strong>Defaulters Age. in Month</strong>
                                        </th>
                                        <th class="text-center" rowspan="2"><strong>No. of Units</strong></th>
                                        <th class="text-center" colspan="2"><strong>Total Amount Received Today</strong>
                                        </th>
                                        <th class="text-center" colspan="2"><strong>Balance Receiveabe</strong></th>
                                        <th class="text-center" colspan="2"><strong>Receiveabe .ag Overdues</strong>
                                        </th>
                                        <th class="text-center" colspan="2"><strong>Receiveabe .ag Future
                                                Inst.</strong></th>
                                    </tr>
                                    <tr>
                                        <th class="text-center"><strong>Amount</strong></th>
                                        <th class="text-center"><strong>%age</strong></th>
                                        <th class="text-center"><strong>Amount</strong></th>
                                        <th class="text-center"><strong>%age</strong></th>
                                        <th class="text-center"><strong>Amount</strong></th>
                                        <th class="text-center"><strong>%age</strong></th>
                                        <th class="text-center"><strong>Amount</strong></th>
                                        <th class="text-center"><strong>%age</strong></th>
                                    </tr>
                                </thead>
                                <tbody>

                                    <tr>
                                        <td><strong>Fully Paid</strong></td>
                                        <td class="text-center">{{ $fully_paid_units_count }}</td>
                                        <td class="text-right">{{ number_format($fully_paid_units_amount) }}</td>
                                        <td class="text-right">
                                            {{ $total_collection > 0 ? round(($fully_paid_units_amount / $total_collection) * 100) : 0 }}
                                            %</td>
                                        <td class="text-right">0</td>
                                        <td class="text-right">0 %</td>
                                        <td class="text-right">0</td>
                                        <td class="text-right">0 %</td>
                                        <td class="text-right">0</td>
                                        <td class="text-right">0 %</td>
                                    </tr>

                                    <tr>
                                        <td><strong>No Over Due</strong></td>
                                        <td class="text-center">{{ $no_overdue_count }}</td>
                                        <td class="text-right">{{ number_format($no_overdue_amount) }}</td>
                                        <td class="text-right">
                                            {{ $total_collection > 0 ? round(($no_overdue_amount / $total_collection) * 100) : 0 }}
                                            %</td>
                                        <td class="text-right">{{ number_format($no_overdue_receivable) }}</td>
                                        <td class="text-right">{{ $no_overdue_receivable_per }} %</td>
                                        <td class="text-right">0</td>
                                        <td class="text-right">0 %</td>
                                        <td class="text-right">{{ number_format($no_overdue_receivable) }}</td>
                                        <td class="text-right">{{ $no_overdue_receivable_per }} %</td>
                                    </tr>

                                    <tr>
                                        <td><strong>1 Month</strong></td>
                                        <td class="text-center">{{ $f_month_overdue_count }}</td>
                                        <td class="text-right">{{ number_format($f_month_overdue_amount) }}</td>
                                        <td class="text-right">
                                            {{ $total_collection > 0 ? round(($f_month_overdue_amount / $total_collection) * 100) : 0 }}
                                            %</td>
                                        <td class="text-right">{{ number_format($f_month_overdue_receivable) }}</td>
                                        <td class="text-right">{{ $f_month_overdue_receivable_per }} %</td>
                                        <td class="text-right">{{ number_format($f_month_overdue_balance) }}</td>
                                        <td class="text-right"> %</td>
                                        <td class="text-right">
                                            {{ number_format($f_month_overdue_receivable - $f_month_overdue_balance) }}
                                        </td>
                                        <td class="text-right"> %</td>
                                    </tr>

                                    <tr>
                                        <td><strong>2 Month</strong></td>
                                        <td class="text-center">{{ $s_month_overdue_count }}</td>
                                        <td class="text-right">{{ number_format($s_month_overdue_amount) }}</td>
                                        <td class="text-right">
                                            {{ $total_collection > 0 ? round(($s_month_overdue_amount / $total_collection) * 100) : 0 }}
                                            %</td>
                                        <td class="text-right">{{ number_format($s_month_overdue_receivable) }}</td>
                                        <td class="text-right">{{ $s_month_overdue_receivable_per }} %</td>
                                        <td class="text-right">{{ number_format($s_month_overdue_balance) }}</td>
                                        <td class="text-right"> %</td>
                                        <td class="text-right">
                                            {{ number_format($s_month_overdue_receivable - $s_month_overdue_balance) }}
                                        </td>
                                        <td class="text-right"> %</td>
                                    </tr>

                                    <tr>
                                        <td><strong>3 Month</strong></td>
                                        <td class="text-center">{{ $t_month_overdue_count }}</td>
                                        <td class="text-right">{{ number_format($t_month_overdue_amount) }}</td>
                                        <td class="text-right">
                                            {{ $total_collection > 0 ? round(($t_month_overdue_amount / $total_collection) * 100) : 0 }}
                                            %</td>
                                        <td class="text-right">{{ number_format($t_month_overdue_receivable) }}</td>
                                        <td class="text-right">{{ $t_month_overdue_receivable_per }} %</td>
                                        <td class="text-right">{{ number_format($t_month_overdue_balance) }}</td>
                                        <td class="text-right"> %</td>
                                        <td class="text-right">
                                            {{ number_format($t_month_overdue_receivable - $t_month_overdue_balance) }}
                                        </td>
                                        <td class="text-right"> %</td>
                                    </tr>

                                    <tr>
                                        <td><strong>3+ Month</strong></td>
                                        <td class="text-center">{{ $fo_month_overdue_count }}</td>
                                        <td class="text-right">{{ number_format($fo_month_overdue_amount) }}</td>
                                        <td class="text-right">
                                            {{ $total_collection > 0 ? round(($fo_month_overdue_amount / $total_collection) * 100) : 0 }}
                                            %</td>
                                        <td class="text-right">{{ number_format($fo_month_overdue_receivable) }}</td>
                                        <td class="text-right">{{ $fo_month_overdue_receivable_per }} %</td>
                                        <td class="text-right">{{ number_format($fo_month_overdue_balance) }}</td>
                                        <td class="text-right"> %</td>
                                        <td class="text-right">
                                            {{ number_format($fo_month_overdue_receivable - $fo_month_overdue_balance) }}
                                        </td>
                                        <td class="text-right"> %</td>
                                    </tr>





                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <!-- <div class="col-lg-12">
                            <div class="white-box">
                                <h3 class="box-title m-b-0">BREAKUP OF RECEIVABLES AGAINST RECOVERY %AGE WISE</h3><br>
                                <div class="table-responsive" >
                                    <table class="table" style="border-top: 1px solid">
                                        <thead>
                                             <tr>
                                                <th class="text-center" rowspan="2"><strong>Recovery %age ag. Total Cost</strong></th>
                                                <th class="text-center" rowspan="2"><strong>No. of Units</strong></th>
                                                <th class="text-center" colspan="2"><strong>Total Amount Received Today</strong></th>
                                                <th class="text-center" colspan="2"><strong>Balance Receiveabe</strong></th>
                                                <th class="text-center" colspan="2"><strong>Receiveabe .ag Overdues</strong></th>
                                                <th class="text-center" colspan="2"><strong>Receiveabe .ag Future Inst.</strong></th>
                                             </tr>
                                             <tr>
                                                <th class="text-center"><strong>Amount</strong></th>
                                                <th class="text-center"><strong>%age</strong></th>
                                                <th class="text-center"><strong>Amount</strong></th>
                                                <th class="text-center"><strong>%age</strong></th>
                                                <th class="text-center"><strong>Amount</strong></th>
                                                <th class="text-center"><strong>%age</strong></th>
                                                <th class="text-center"><strong>Amount</strong></th>
                                                <th class="text-center"><strong>%age</strong></th>
                                             </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td><strong>Canc.Reqst.</strong></td>
                                                <td>3</td>
                                                <td class="text-right">2925000</td>
                                                <td class="text-right">4%</td>
                                                <td class="text-right">0</td>
                                                <td class="text-right">0%</td>
                                                <td class="text-right">0</td>
                                                <td class="text-right">0%</td>
                                                <td class="text-right">0</td>
                                                <td class="text-right">0%</td>
                                            </tr>
                                            <tr>
                                                <td><strong>No Recovery</strong></td>
                                                <td>3</td>
                                                <td class="text-right">2925000</td>
                                                <td class="text-right">4%</td>
                                                <td class="text-right">0</td>
                                                <td class="text-right">0%</td>
                                                <td class="text-right">0</td>
                                                <td class="text-right">0%</td>
                                                <td class="text-right">0</td>
                                                <td class="text-right">0%</td>
                                            </tr>
                                            <tr>
                                                <td><strong>Upto 10%</strong></td>
                                                <td>3</td>
                                                <td class="text-right">2925000</td>
                                                <td class="text-right">4%</td>
                                                <td class="text-right">0</td>
                                                <td class="text-right">0%</td>
                                                <td class="text-right">0</td>
                                                <td class="text-right">0%</td>
                                                <td class="text-right">0</td>
                                                <td class="text-right">0%</td>
                                            </tr>
                                            <tr>
                                                <td><strong>Upto 20%</strong></td>
                                                <td>3</td>
                                                <td class="text-right">2925000</td>
                                                <td class="text-right">4%</td>
                                                <td class="text-right">0</td>
                                                <td class="text-right">0%</td>
                                                <td class="text-right">0</td>
                                                <td class="text-right">0%</td>
                                                <td class="text-right">0</td>
                                                <td class="text-right">0%</td>
                                            </tr>
                                            <tr>
                                                <td class="text-right"><strong>Total</strong></td>
                                                <td><strong>153</strong></td>
                                                <td class="text-right"><strong>2925000</strong></td>
                                                <td class="text-right"><strong>4%</strong></td>
                                                <td class="text-right"><strong>0</strong></td>
                                                <td class="text-right"><strong>0%</strong></td>
                                                <td class="text-right"><strong>0</strong></td>
                                                <td class="text-right"><strong>0%</strong></td>
                                                <td class="text-right"><strong>0</strong></td>
                                                <td class="text-right"><strong>0%</strong></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div> -->
            </div>
        </div>
        <!-- /.row -->

    </div>

@stop
@section('js')
    <!-- Char.js File -->
    <script src="https://cdn.jsdelivr.net/npm/chart.js@4.3.0/dist/chart.umd.min.js"></script>

    <script>
        function chartfunction() {

            //start chart 1
            const ctx = document.getElementById('myChart').getContext('2d');


            const totalUnitsCount = $('#total_units_count').val();
            const bookedUnitsCount = $('#booked_units_count').val();
            const unBookedUnitsCount = $('#un_booked_units_count').val();


            const colors = [
                // Red with 60% opacity
                'rgba(54, 162, 235, 0.6)', // Blue with 60% opacity
                'rgba(255, 206, 86, 0.6)', // Yellow with 60% opacity
            ];

            new Chart(ctx, {
                type: 'pie',
                data: {
                    labels: [
                        'Booked Units:' + bookedUnitsCount,
                        'Un-Booked Units:' + unBookedUnitsCount
                    ],
                    datasets: [{
                        data: [bookedUnitsCount, unBookedUnitsCount],
                        backgroundColor: colors,
                    }]
                },
                options: {
                    responsive: true,
                  
                }
            });

            ctx.canvas.style.height = '260px';

            // Set the total units count
document.getElementById('total-units').textContent = totalUnitsCount;

            //end chart 1
            const total_units_area = $('#total_units_area').val();
            const booked_units_area = $('#booked_units_area').val();
            const un_booked_units_area = $('#un_booked_units_area').val();

            const total_units_area_2 = $('#total_units_area_2').val();
            const booked_units_area_2 = $('#booked_units_area_2').val();
            const un_booked_units_area_2 = $('#un_booked_units_area_2').val();

            
            const SecondChart = document.getElementById('SecondChart').getContext('2d');
            const colors2 = [
                'rgba(255, 99, 132, 0.6)', // Red with 60% opacity
                'rgba(54, 162, 235, 0.6)', // Blue with 60% opacity
                'rgba(255, 206, 86, 0.6)', // Yellow with 60% opacity
            ];

            let datasets = [];
            datasets.splice(0, datasets.length);
            const multiprojectype_val = $('#multiprojectype_val').val();
            if (multiprojectype_val == 'all') {
                datasets.push({
                    label: '{{ \App\ProjectType::society_size }}',
                    data: [total_units_area, booked_units_area, un_booked_units_area], // Example values for Marla
                    backgroundColor: 'rgba(255, 99, 132, 0.6)', // Bar color for Marla
                });
                datasets.push({
                    label: '{{ \App\ProjectType::high_rise_size }}',
                    data: [total_units_area_2, booked_units_area_2,
                    un_booked_units_area_2], // Example values for Marla
                    backgroundColor: 'rgba(54, 162, 235, 0.6)', // Bar color for Marla
                });
            } else if (multiprojectype_val == '{{ \App\ProjectType::society }}') {

                datasets.push({
                    label: '{{ \App\ProjectType::society_size }}',
                    data: [total_units_area, booked_units_area, un_booked_units_area], // Example values for Marla
                    backgroundColor: 'rgba(255, 99, 132, 0.6)', // Bar color for Marla
                });
            } else if (multiprojectype_val == '{{ \App\ProjectType::high_rise }}') {

                datasets.push({
                    label: '{{ \App\ProjectType::high_rise_size }}',
                    data: [total_units_area, booked_units_area,
                    un_booked_units_area], // Example values for Square Feet
                    backgroundColor: 'rgba(54, 162, 235, 0.6)', // Bar color for Square Feet
                });
            }



            new Chart(SecondChart, {
                type: 'bar',
                data: {
                    labels: ['Total Area', 'Booked', 'UnBooked'],
                    datasets: datasets,

                },
                options: {
                    responsive: true,
                   
                    legend: {
                        position: 'bottom',
                        labels: {
                            fontColor: 'black',
                            fontSize: 14,
                            padding: 20,
                            boxWidth: 12
                        }
                    },
                    scales: {
                        y: {
                            beginAtZero: true, // Start the Y-axis at zero
                            ticks: {
                                precision: 0, // Display whole numbers on the Y-axis
                                callback: function(value) {
                                    return value.toLocaleString(); // Format the Y-axis values with commas
                                }
                            }
                        }
                    },
                    tooltip: {
                        enabled: true,
                        intersect: true, // Ensure tooltips are shown only on the hovered bar
                        callbacks: {
                            label: function(tooltipItem, data) {
                                var datasetIndex = tooltipItem.datasetIndex;
                                var index = tooltipItem.index;
                                var label = data.labels[index] || '';
                                var value = data.datasets[datasetIndex].data[index].toLocaleString();
                                return label + ': ' + value;
                            }
                        }
                    }
                }
            });


            // endchart 2



            //chart 3
            // Data for the pie chart


            const total_units_amount = $('#total_units_amount').val();
            const booked_units_amount = $('#booked_units_amount').val();
            const un_booked_units_amount = $('#un_booked_units_amount').val();
            const discount_val = $('#discount_val').val();


            const data_val = [ booked_units_amount, un_booked_units_amount, discount_val];

            const colors3 = [
               
                'rgba(54, 162, 235, 0.6)', // Blue with 60% opacity
                'rgba(255, 206, 86, 0.6)',
                'rgba(53, 206, 86, 0.6)', // Yellow with 60% opacity
            ];
            const data = {
                labels: [ 
                    'Booked Price Rs: ' + booked_units_amount,
                    'Un-Booked Price Rs: ' + un_booked_units_amount,
                    'Discount Rs: ' + discount_val
                ],
                datasets: [{
                    data: data_val,
                    backgroundColor: colors3,
                    hoverBackgroundColor: colors3
                }]
            };


          
            // Create the pie chart
            const ctxc = document.getElementById('ThirdChart').getContext('2d');
            new Chart(ctxc, {
                type: 'pie',
                data: data,

            });
 
            document.getElementById('total-amount').textContent ='Rs:'+total_units_amount;
 
            //end chart 3

        }
        chartfunction();


        // function updateStatus(value) {
        //     $('.preloader').fadeIn();

        //     if (value === 'search') {

        //         $('.preloader').fadeOut();
        //         return false;
        //     }
        //     var data = {
        //         'multipro_id': value,
        //     };
        //     $.get('{{ route('sales.dashboard') }}', data, function(data) {
        //         $('.preloader').fadeOut();
        //         $('#myTable tbody').empty();

        //         chartfunction();

        //         document.getElementById('updatecontent').innerHTML = data;

        //         toastr.success("Search updated.");


        //         $('.preloader').fadeOut();
        //     });

        // }
        async function updateStatus(value) {
  $('.preloader').fadeIn();

  if (value === 'search') {
    $('.preloader').fadeOut();
    return false;
  }

  var data = {
    'multipro_id': value,
  };

  try {
    const response = await $.get('{{ route('sales.dashboard') }}', data);
    $('.preloader').fadeOut();
    $('#myTable tbody').empty();
    ;
           

    document.getElementById('updatecontent').innerHTML = response;
    await chartfunction();

    toastr.success("Search updated.");

    $('.preloader').fadeOut();
  } catch (error) {
    console.error(error);
    $('.preloader').fadeOut();
    // Handle error
  }
}

    </script>

@stop
