@extends('layouts.app')

@section('title')
All Departments
@stop

@section('breadcrumb')
<ol class="breadcrumb pull-right">
        <li><a href="{{route('home')}}"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">Departments</li>
      </ol>
@stop

@section('content')
  <div class="container-fluid">
    <div class="row">
                    
<div class="col-sm-12">
                        <div class="white-box">

                            @permission('create-department')
                           
                             <h3 style="text-align: right;" class="box-title m-b-0">
                                <span style="float: left;">Departments  List</span><a class="btn btn-info btn-sm" href="{{ route('department.add') }}">Add Department</a></h3>

                             @endpermission
                            <div class="table-responsive">
                             
                            @if(Session::has('success'))   
                            <div id="successMessage" class="alert alert-success" role="alert">
                            {{ Session::get('success') }}
                            </div>
                            @endif

                                <table id="myTable" class="table table-striped table-bordered dataTable color-table primary-table" role="grid" aria-describedby="myTable_info">
                                    <thead>
                                        <tr role="row">
                                        	<th style="color: black;" class="sorting_asc" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Name: activate to sort column descending" style="width: 220px;">Name</th>
                                            <th style="color: black;" class="sorting_asc" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Name: activate to sort column descending" style="width: 220px;">Role</th>

                                        	<th style="color: black;" class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 163px;">Created Date</th>

                                            <th style="color: black;" class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 163px;">Action</th>


                                        </tr>
                                    </thead>
                                    <tbody>
  
                                    @if( $DepartmentList->count() > 0 )
                                    @foreach( $DepartmentList as $list )

                                        <tr role="row" class="odd">
                                            <td>{{$list->department_name}}</td>
                                            <td>

                                               
                                                 {{$list->role ? $list->role->name : "" }} 
                                             

                                             </td>
                                            <td>{{$list->created_at}}</td>
                                             <td >

                                                @permission('delete-department')
                                                <form action="{{ route('department.delete',[$list->id] ) }}" method="post" style='display: inline;'>
                                                    @method('DELETE')
                                                    @csrf
                                                    {{-- <a style="color:red;"  data-toggle="confirmation" data-title="Are you sure to delete?" ><i class="fa fa-trash-o" aria-hidden="true"></i></a> --}}
                                              
                                                    <button class="btn btn-link btn-s" style="color:red;"  type="submit" name="action" value="delete" data-toggle="confirmation" data-title="Are you sure to delete?">
                                                        <i class="fa fa-trash-o" aria-hidden="true"></i>
                                                    </button>
                                                    {{-- <input class="btn btn-danger" type="submit" value="Delete"  data-toggle="confirmation" data-title="Are you sure to delete?"/> --}}
                                                 </form>
                                              {{-- <a style="color:red;" href="{{ route('department.delete',[$list->id] ) }}" data-toggle="confirmation" data-title="Are you sure to delete?" ><i class="fa fa-trash-o" aria-hidden="true"></i></a> --}}
     
                                                @endpermission

                                                @permission('edit-department')
                                                <a  href="{{ route('department.edit',[$list->id] ) }}">
                                                <button class="btn btn-link btn-s">
                                                    <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
                                                </button>
                                                </a>
                                                 {{-- <a  href="{{ route('department.edit',[$list->id] ) }}"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> --}}

                                                 @endpermission

                                            </td>

                                        </tr>
                                     @endforeach   
                                     @endif

                                      
                                    </tbody>
                                </table>
                                
                            </div>
                            </div>
                        </div>
                    </div>


    </div>

      </div>
@stop

@section('js')  
